| Method | URI | Description |
|---|---|---|
| GET | /v1.1/{tenant_id}/os-volume-types/{volume_type_id} | Shows information for a specified volume type. |
Normal response codes: 200
This table shows the URI parameters for the show volume type request:
| Name | Type | Description |
|---|---|---|
| String | The unique identifier of the tenant or account. |
| String | The unique identifier for a volume type. |
This operation does not require a request body.
Example 3.353. Show volume type: JSON response
{
"volume_type": {
"id": "289da7f8-6440-407c-9fb4-7db01ec49164",
"name": "vol-type-001",
"extra_specs": {"capabilities": "gpu"}
}
}
Example 3.354. Show volume type: XML response
<?xml version="1.0" encoding="UTF-8"?>
<volume_type xmlns="http://docs.openstack.org/volume/api/v1"
id="289da7f8-6440-407c-9fb4-7db01ec49164"
name="vol-type-001">
<extra_specs>
<extra_spec key="capabilities">gpu</extra_spec>
</extra_specs>
</volume_type>
This operation does not return a response body.

